#ifndef LANGUAGESELECTORBUTTON_H
#define LANGUAGESELECTORBUTTON_H

#include <QObject>
#include <QWidget>
#include <QPushButton>
#include <QMouseEvent>
#include <QMenu>

class LanguageSelectorButton : public QPushButton
{
    Q_OBJECT
public:
    LanguageSelectorButton(QWidget *parent = nullptr);

protected:
    void mousePressEvent(QMouseEvent*event);

signals:
    void sigSetRussianLanguage();
    void sigSetEnglishLanguage();

private slots:
    void onActActivated(QAction* act);

private:
    QMenu *contextmenu;
    QAction* actRuss;
    QAction* actEng;
};

#endif // LANGUAGESELECTORBUTTON_H
